      SUBROUTINE PLOT_FRINGE ( N, DATA, IMARK, TITLE )
      IMPLICIT UNDEFINED ( A-Z )
      INTEGER *4 NMAX
      PARAMETER (NMAX=4000)
      INTEGER *4 N, I, IMARK(*)
      REAL *4 DATA(*), XPLOT(NMAX), XMIN, XMAX, YMIN, YMAX
      CHARACTER *(*) TITLE
      IF ( N .GT. NMAX ) THEN
          WRITE(6,*) ' PLOT_FRINGE FAILS '
          WRITE(6,*) ' CHANGE THE SIZE OF NMAX AND RECOMPILE '
      END IF
      XMIN = 0.
      XMAX = FLOAT(N)
      YMIN = DATA(1)
      YMAX = DATA(1)
      DO I = 1, N
          YMIN = MIN ( YMIN, DATA(I) )
          YMAX = MAX ( YMAX, DATA(I) )
          XPLOT(I) = I
      END DO
      CALL PGSCI ( 5 )
      CALL PGSLS ( 1 )
      CALL PGSCH ( 2.0 )
      CALL PGENV ( XMIN, XMAX, YMIN, YMAX, 0, 1 )
      CALL PGMTEXT ( 'T', 1.5, 0.5, 0.5, TITLE )
      DO I = 1, N
          CALL PGSCI ( IMARK(I)+3 )
          CALL PGPOINT ( 1, XPLOT(I), DATA(I) )
      END DO
      RETURN
      END
